
CODE      SEGMENT   WORD   PUBLIC

          ASSUME    CS:CODE
          PUBLIC    DATHEURE

COMMENT ! Dtermination de la date et de l'heure du systme. Les adresses des
          variables de destination sont transmises par la pile !

DATHEURE  PROC      FAR
Annee     equ       30[bp]
Mois      equ       26[bp]
Jour      equ       22[bp]
Heure     equ       18[bp]
Minute    equ       14[bp]
Seconde   equ       10[bp]
Centieme  equ       6[bp]

          push      bp
          mov       bp,sp
          push      ds
          push      cx
          push      dx
          push      di
          pushf

          ; Dtermination de la date du systme
          mov       ah,2Ah
          int       21h                 ; CX = anne, DH = mois, DL = jour
          lds       di,Annee
          mov       [di],cx             ; Transmission de l'anne
          lds       di,Mois
          mov       [di],dh             ; Transmission du mois
          lds       di,Jour
          mov       [di],dl             ; Transmission du jour
          ; Dtermination de l'heure du systme
          mov       ah,2Ch
          int       21h                 ; CH = heure, CL = minute, DH = seconde, DL = 1/100
          lds       di,Heure
          mov       [di],ch             ; Transmission de l'heure
          lds       di,Minute
          mov       [di],cl             ; Transmission de la minute
          lds       di,Seconde
          mov       [di],dh             ; Transmission de la seconde
          lds       di,Centieme
          mov       [di],dl             ; Transmission du 1/100

          popf
          pop       di
          pop       dx
          pop       cx
          pop       ds
          pop       bp
          ret
DATHEURE  ENDP

CODE      ENDS

          END
